Screencast of overriding invalid security certificates in Mozilla Firefox 3.0 alpha (Minefield).

Requires Flash Player 7 which was not detected on your system.
You can download the Flash Player from here: http://www.adobe.com/go/getflashplayer/

Bypass Flash Player detection